# this define is intended to make it easy to produce builds 
# which are suitable for countries where card games are prohibited
%define build_card 1 

Summary: GNOME games extra data
Name: gnome-games-extra-data
Version: 2.24.0
Release: 1
License: GPL+
Group: Amusements/Games
Source: http://download.gnome.org/sources/gnome-games-extra-data/2.24/gnome-games-extra-data-%{version}.tar.bz2
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
URL: http://www.gnome.org
BuildArch: noarch
Requires: gnome-games >= 2.18.0-3.fc7

%description

The gnome-games-extra-data package includes additional data
and themes for the games in the gnome-games package.

%prep
%setup -q

%build
%configure
make %{_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# We don't ship gnometris
rm -rf $RPM_BUILD_ROOT%{_datadir}/pixmaps/gnometris

%if ! %{build_card}
rm -rf $RPM_BUILD_ROOT%{_datadir}/pixmaps/gnome-games-common/cards
%endif


%clean
rm -rf $RPM_BUILD_ROOT


%files
%doc AUTHORS COPYING MAINTAINERS README NEWS 
%{_datadir}/pixmaps/glines/*
%{_datadir}/pixmaps/gnobots2/*
%{_datadir}/pixmaps/iagno/*
%{_datadir}/pixmaps/mahjongg/*
%{_datadir}/gnome-games/same-gnome/themes/2.10/*
%if %{build_card} 
%{_datadir}/gnome-games-common/cards/*
%endif


%changelog
* Tue Sep  2 2008 Matthias Clasen <mclasen@redhat.com> - 2.24.0-1
- Update to 2.24.0

* Wed Mar 26 2008 Matthias Clasen <mclasen@redhat.com> - 2.22.0-1
- Update to 2.22.0

* Sat Feb  9 2008 Matthias Clasen <mclasen@redhat.com> - 2.21.91-1
- Update to 2.21.91

* Tue Sep 18 2007 Matthias Clasen <mclasen@redhat.com> - 2.20.0-1
- Update to 2.20.0

* Tue Jul 31 2007 Matthias Clasen <mclasen@redhat.com> - 2.19.2-1
- Update to 2.19.2

* Mon Jun  4 2007 Matthias Clasen <mclasen@redhat.com> - 2.19.1-1
- Update to 2.19.1

* Sat May 19 2007 Matthias Clasen <mclasen@redhat.com> - 2.18.0-2
- Update to 2.18.0
- Drop dist tag, since this is a pure data package

* Wed Mar 28 2007 Matthias Clasen <mclasen@redhat.com> - 2.17.90-2
- Incorporate review feedback

* Wed Mar 28 2007 Matthias Clasen <mclasen@redhat.com> - 2.17.90-1
- Initial build

